Skip to main content
`Ctrl`+`K`

# PetscFEGeomCreate

Create a `PetscFEGeom` object to manage geometry for a group of cells

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGeomCreate(PetscQuadrature quad, PetscInt numCells, PetscInt dimEmbed, PetscFEGeomMode mode, PetscFEGeom **geom)

## Input Parameters

- quad - A `PetscQuadrature` determining the tabulation

- numCells - The number of cells in the group

- dimEmbed - The coordinate dimension

- mode - Type of geometry data to store

## Output Parameter

- geom - The `PetscFEGeom` object, which is a struct not a `PetscObject`

## See Also

`PetscFEGeom`, `PetscQuadrature`, `PetscFEGeomDestroy()`, `PetscFEGeomComplete()`

## Level

beginner

## Location

src/dm/dt/fe/interface/fegeom.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages